Subject: Re: [P2PSIP] Auth/boot is weakest link

From: "Peter Pan" <[email-masked]>
Date: Mon, 20 Aug 2007 17:38:52 -0700

imo, initial bootstrapping and certificate renewal need centralized ca or
login servers, which needs dns.

other than that, dht seems fit.

pp

----- Original Message -----
From: "David Barrett" <[email-masked]>
To: "'Peter Pan'" <[email-masked]>; "'Hannes Tschofenig'"
<[email-masked]>
Cc: <[email-masked]>
Sent: Monday, August 20, 2007 5:16 PM
Subject: RE: [P2PSIP] Auth/boot is weakest link

> > -----Original Message-----
> > From: Peter Pan [mailto:[email-masked]]
> > Subject: Re: [P2PSIP] Auth/boot is weakest link
> >
> > i thought you were recommending dns for resolving addresses of endpoints
> > instead of login/bootstrap servers, weren't you?
> >
> > when you resolve endpoint addresses by dns, for what is dht? (and vice
> > versa)
> >
> > sorry, totally confused.
>
> You're right -- using dynDNS/mDNS you wouldn't need the DHT.  I'm sorry,
it
> was confusing for me to mention it, as that's not the angle I'm trying to
> investigate.  (I was just holding it up as one solution to the
> authentication/bootstrapping problem in order to stimulate conversation on
> alternatives.)
>
> What I'm trying to ask is:
>
> If you *do* choose to use a DHT, what are the top proposals for how to
solve
> the authentication and bootstrapping problems?
>
> -david
>
>

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip